using FastReport.Dialog;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace FastReport.Web.Blazor.Components.Internal.Dialog
{
    public class ButtonBaseComponent<T> : DataFilterBaseComponent<T>
        where T : ButtonBaseControl
    {
        protected override string GetControlAlign()
        {
            if (Control is ButtonControl buttonControl)
                return GetAlign(buttonControl.TextAlign);

            return string.Empty;
        }

    }
}
